package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformUploadVideo;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformUploadVideoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformUploadVideoMapper {
    long countByExample(ContentPlatformUploadVideoExample example);

    int deleteByExample(ContentPlatformUploadVideoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformUploadVideo record);

    int insertSelective(ContentPlatformUploadVideo record);

    List<ContentPlatformUploadVideo> selectByExample(ContentPlatformUploadVideoExample example);

    ContentPlatformUploadVideo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformUploadVideo record, @Param("example") ContentPlatformUploadVideoExample example);

    int updateByExample(@Param("record") ContentPlatformUploadVideo record, @Param("example") ContentPlatformUploadVideoExample example);

    int updateByPrimaryKeySelective(ContentPlatformUploadVideo record);

    int updateByPrimaryKey(ContentPlatformUploadVideo record);
}